from django.utils.translation import gettext_lazy as _

MAIL_VOTERS = (
    "Dear {full_name},\n"
    "\n"
    "\n"
    "Election URL: {election_url}\n"
    "\n"
    "Your voter ID: {username}\n"
    "Your password: {password}\n"
    "\n"
    "-- \n"
    "Kadenios"
)

CONNECTION_METHODS = {
    "pwd": _("mot de passe"),
    "cas": _("CAS"),
}

QUESTION_TYPES = [
    ("assentiment", _("Assentiment")),
    ("uninominal", _("Uninominal")),
]

VOTE_RULES = {
    "assentiment": _(
        "Le mode de scrutin pour cette question est un vote par assentiment. "
        "Vous pouvez donc sélectionner autant d'options que vous souhaitez. "
        "Vous pouvez également ne sélectionner aucune option."
    ),
    "uninominal": _(
        "Le mode de scrutin pour cette question est un vote uninominal. "
        "Vous ne pouvez donc sélectionner qu'une seule option."
    ),
}

CAST_FUNCTIONS = {
    "assentiment": "cast_select",
    "uninominal": "cast_select",
}

TALLY_FUNCTIONS = {
    "assentiment": "tally_select",
    "uninominal": "tally_select",
}

VALIDATE_FUNCTIONS = {
    "assentiment": "always_true",
    "uninominal": "unique_selected",
}
